Subject: Re: Minimal reproducible setup

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 18 Sep 2022 01:19:57 +0200

Am Samstag, dem 17.09.2022 um 17:45 +0200 schrieb Konrad Hinsen:
> Konrad Hinsen <[email-masked]> writes:
> 
> > Here is a minimal containerized example that
> > creates a process avalanche:
> > 
> >     guix shell -C emacs emacs-ido-completing-read+ \
> >        -- emacs --batch --eval="(print load-path)"
> 
> I went through all my emacs packages. The only one that starts
> the process avalanche is emacs-ido-completing-read+.
I think you can prevent native-compilation entirely by setting no-
native-compile to t in your early-init.el (I'm playing with the idea of
doing this anyway, because I'm annoyed by the clutter that falls
through the cracks).  That being said, this looks like a real breakage
in the emacs-ido-completing-read package, does it not?  Should we add
"no-native-compile" to some local variables?

WDYT?